AntiFeatures:
  - NonFreeAssets
Categories:
  - Security
License: MIT
SourceCode: https://github.com/andOTP/andOTP
IssueTracker: https://github.com/andOTP/andOTP/issues
Translation: https://crowdin.com/project/andotp
Changelog: https://github.com/andOTP/andOTP/releases
Donate: https://paypal.me/flocke000

AutoName: andOTP
Description: |-
    andOTP is a two-factor authentication App for Android 4.4+.

    It implements Time-based One-time Passwords (TOTP) like specified in RFC 6238.
    Simply scan the QR code and login with the generated 6-digit code.

    This is a fork of the great https://f-droid.org/packages/net.bierbaumer.otp_authenticator app written by
    Bruno Bierbaumer, which has sadly been inactive since 2015. All credit for the
    original version goes to Bruno.

    Features:

    * Free and Open-Source
    * Encrypted storage
    * Plain-text backups
    * Encrypted backups using OpenPGP
    * Sleek minimalistic Material Design
    * Great Usability
    * Compatible with Google Authenticator

    Requires minimal permissions:

    * Camera access for QR code scanning
    * Storage access for import and export of the database

RepoType: git
Repo: https://github.com/andOTP/andOTP

Builds:
  - versionName: 0.2.2
    versionCode: 4
    commit: v0.2.2
    subdir: app
    gradle:
      - yes

  - versionName: 0.2.3
    versionCode: 5
    commit: v0.2.3
    subdir: app
    gradle:
      - yes

  - versionName: 0.2.4
    versionCode: 6
    commit: v0.2.4
    subdir: app
    gradle:
      - yes

  - versionName: 0.2.5
    versionCode: 7
    commit: v0.2.5
    subdir: app
    gradle:
      - yes

  - versionName: 0.2.6
    versionCode: 8
    commit: v0.2.6
    subdir: app
    gradle:
      - yes

  - versionName: 0.2.7
    versionCode: 9
    commit: v0.2.7
    subdir: app
    gradle:
      - yes

  - versionName: 0.2.8
    versionCode: 10
    commit: v0.2.8
    subdir: app
    gradle:
      - yes

  - versionName: 0.3.0
    versionCode: 11
    commit: v0.3.0
    subdir: app
    gradle:
      - yes

  - versionName: 0.3.1
    versionCode: 12
    commit: v0.3.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.4.0.1
    versionCode: 14
    commit: v0.4.0.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.5.0
    versionCode: 15
    commit: v0.5.0
    subdir: app
    gradle:
      - yes

  - versionName: 0.5.0.1
    versionCode: 16
    commit: v0.5.0.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.6.0-beta1
    versionCode: 18
    commit: v0.6.0-beta1
    subdir: app
    gradle:
      - yes

  - versionName: 0.6.0-beta2
    versionCode: 19
    commit: v0.6.0-beta2
    subdir: app
    gradle:
      - yes

  - versionName: 0.6.0-beta3
    versionCode: 20
    commit: v0.6.0-beta3
    subdir: app
    gradle:
      - yes

  - versionName: 0.6.0
    versionCode: 21
    commit: v0.6.0
    subdir: app
    gradle:
      - yes

  - versionName: 0.6.1
    versionCode: 22
    commit: v0.6.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.6.2
    versionCode: 23
    commit: v0.6.2
    subdir: app
    gradle:
      - yes

  - versionName: 0.6.3
    versionCode: 25
    commit: v0.6.3
    subdir: app
    gradle:
      - yes

  - versionName: 0.6.3.1
    versionCode: 26
    commit: v0.6.3.1
    subdir: app
    gradle:
      - fdroid

  - versionName: 0.7.0-beta1
    versionCode: 27
    commit: v0.7.0-beta1
    subdir: app
    gradle:
      - fdroid

  - versionName: 0.7.0
    versionCode: 28
    commit: v0.7.0
    subdir: app
    gradle:
      - fdroid

  - versionName: 0.7.1.1
    versionCode: 32
    commit: v0.7.1.1
    subdir: app
    gradle:
      - fdroid

  - versionName: 0.8.0-beta1
    versionCode: 33
    commit: v0.8.0-beta1
    subdir: app
    gradle:
      - fdroid

  - versionName: 0.8.0-beta2
    versionCode: 34
    commit: v0.8.0-beta2
    subdir: app
    gradle:
      - fdroid

  - versionName: 0.8.0
    versionCode: 35
    commit: v0.8.0
    subdir: app
    gradle:
      - fdroid

  - versionName: 0.9.0-beta1
    versionCode: 36
    commit: v0.9.0-beta1
    subdir: app
    gradle:
      - fdroid

  - versionName: 0.9.0-beta2
    versionCode: 37
    commit: v0.9.0-beta2
    subdir: app
    gradle:
      - fdroid

  - versionName: 0.9.0
    versionCode: 38
    commit: v0.9.0
    subdir: app
    gradle:
      - fdroid

ArchivePolicy: 4 versions
AutoUpdateMode: Version v%v
UpdateCheckMode: Tags ^v[0-9.]+$
CurrentVersion: 0.9.0
CurrentVersionCode: 38
